GET /avatars/initials

appwrite.io:client

Summary: Get User Initials
Operation ID: avatarsGetInitials
Auth: custom_header
Description

Use this endpoint to show your user initials avatar icon on your website or app. By default, this route will try to print your logged-in user name or email initials. You can also overwrite the user name if you pass the 'name' parameter. If no name is given and no user is logged, an empty avatar will be returned. You can use the color and background params to change the avatar colors. By default, a random theme will be selected. The random theme will persist for the user's initials when reloading the same theme will always return for the same initials.

Parameters (5)

background (string, query, optional)

Changes background color. By default a random color will be picked and stay will persistent to the given name.

color (string, query, optional)

Changes text color. By default a random color will be picked and stay will persistent to the given name.

height (integer, query, optional, default: 500)

Image height. Pass an integer between 0 to 2000. Defaults to 100.

name (string, query, optional)

Full Name. When empty, current user name or email will be used. Max length: 128 chars.

width (integer, query, optional, default: 500)

Image width. Pass an integer between 0 to 2000. Defaults to 100.

No probe data for this endpoint yet.